package com.phm.manage.service;

import com.phm.manage.domain.Aeroplane;

import java.util.List;

/**
 * 单机信息Service接口
 *
 * @author phm
 * @date 2023-08-22
 */
public interface IAeroplaneService {
    /**
     * 查询单机信息
     *
     * @param id 单机信息主键
     * @return 单机信息
     */
    public Aeroplane selectAeroplaneById(Long id);

    /**
     * 查询单机信息列表
     *
     * @param aeroplane 单机信息
     * @return 单机信息集合
     */
    public List<Aeroplane> selectAeroplaneList(Aeroplane aeroplane);

    /**
     * 新增单机信息
     *
     * @param aeroplane 单机信息
     * @return 结果
     */
    public int insertAeroplane(Aeroplane aeroplane);

    /**
     * 修改单机信息
     *
     * @param aeroplane 单机信息
     * @return 结果
     */
    public int updateAeroplane(Aeroplane aeroplane);

    /**
     * 批量删除单机信息
     *
     * @param ids 需要删除的单机信息主键集合
     * @return 结果
     */
    public int deleteAeroplaneByIds(Long[] ids);

    /**
     * 删除单机信息信息
     *
     * @param id 单机信息主键
     * @return 结果
     */
    public int deleteAeroplaneById(Long id);
}
